#include <iostream>
#include <cmath>


using namespace std;

int main()
{
    int N,Q;
    cin>>N;
    cin>>Q;
    int A[N];
    int B[Q];
    for(int i=0; i<N; i++){
        cin>>A[i];
    }
    for(int i=0; i<Q; i++){
        cin>>B[i];
    }
    for(int i=0; i<Q; i++){
    int manji=0;
    int isti=0;
    int veci=0;
    for(int j=0; j<N; j++){
        if(A[j]>B[i]){
            veci++;
        }
        else{
            if(A[j]<B[i]){
                manji++;
            }
            else{
                isti++;
            }
        }

    }
    int res=abs(veci-manji)-isti;
    if(veci>manji){
        res++;
    }
    if(res<0){
        res=0;
    }
    cout<<res;
    }
    return 0;
}